org.apache.cassandra.notifications

## Class SSTableListChangedNotification

- java.lang.Object
- - org.apache.cassandra.notifications.SSTableListChangedNotification

- All Implemented Interfaces:
    INotification

      public class SSTableListChangedNotification
      extends java.lang.Object
      implements INotification

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.util.Collection<SSTableReader>` | `added`
    `OperationType` | `compactionType`
    `java.util.Collection<SSTableReader>` | `removed`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SSTableListChangedNotification(java.util.Collection<SSTableReader> added, java.util.Collection<SSTableReader> removed, OperationType compactionType)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### removed

          public final java.util.Collection<SSTableReader> removed

    - #### added

          public final java.util.Collection<SSTableReader> added

    - #### compactionType

          public final OperationType compactionType

  - ### Constructor Detail

    - #### SSTableListChangedNotification

          public SSTableListChangedNotification(java.util.Collection<SSTableReader> added,
                                                java.util.Collection<SSTableReader> removed,
                                                OperationType compactionType)

Copyright © 2018 The Apache Software Foundation